# $Id: About.pm,v 1.2 2001/02/03 14:56:34 muhri Exp $
# -*- perl -*-
package Pronto::About;
use strict;
use SelfLoader;
1;
__DATA__

sub init_about_dlg {
 	my ($about_win,$window,$bg,$tbox,$vbox,$hbox,$sep,$butbox,$button,$pixmap);
 	$about_win = new Gtk::Window("dialog");
 	$about_win->set_title(_("About Pronto"));
 	$about_win->signal_connect("destroy" => sub { $about_win->destroy; });
 	$about_win->signal_connect("delete_event" => \&Gtk::false);
 	$about_win->set_default_size('350','350');
 	$about_win->set_policy(1,1,0);
 	$about_win->show;
 	$window = $about_win->window;
 	$bg = $about_win->style->bg('normal');
 	$vbox= new Gtk::VBox(0,0);
 	$about_win->add($vbox);
 	$vbox->show;
 	$pixmap = &main::new_pixmap("$main::prefs{'PixmapDir'}/about.xpm", $window, $bg);  
 	$pixmap->show;
 	$vbox->pack_start($pixmap,1,1,1);
    	$tbox = new Gtk::Label("\nPronto $main::version\n\nPronto is a powerful and
highly modularized mail client written completely in perl.
Pronto is brought to you by:
Muhri <muhri\@muhri.net>
Alex <izv\@together.net>
Noidd <red\@madhouse.org.uk>
Flavio <fcu\@no-way.org>
Shank <zzdukesj\@pobox.winthrop.edu>
and CmdrTaco <malda\@slashdot.org>
Codebase: Steven Kordik <countzero\@cyberdeck.org>
for more info:\n");
 	$vbox->pack_start($tbox,1,1,1);
      	$tbox->show;
   
    	$hbox = new Gtk::HBox(0,0);   
    	$vbox->pack_start($hbox,0,0,0);
    	$hbox->show;
    	my $pronto = new Gtk::Button(_("Visit Pronto!"));
    	$pronto->signal_connect("clicked", => \&pronto);
    	$hbox->pack_start($pronto,1,0,0);
    	$pronto->show;
 	$sep = new Gtk::HSeparator;
   	$sep->set_usize(-1,5);
    	$vbox->pack_start($sep,0,1,0);
     	$sep->show;
    
     	$butbox = new Gtk::HButtonBox;
     	$butbox->set_usize(-1,32);
     	$vbox->pack_start($butbox, 0,1,0); 
     	$butbox->show;  
 	$button = new_with_label Gtk::Button("OK");
     	$button->set_usize(50,-1);
     	$button->signal_connect('clicked', sub { $about_win->destroy; });
	$button->can_default(1);
	$button->grab_default;
	$butbox->add($button);
	$button->show;
     
  return 1;
}    
     
sub pronto {
	my $url = "http://www.muhri.net/pronto";    
	&Pronto::Link::link_clicked(undef,$url);

}
